# Bibliofile
### A TUI-based ebook reader inspired by NCurses-era programs!

Bibliofile is a simplified epub reader with automatic bookmarking!

Instructions:

 - installation
 - use
 - feedback



 ## installation

Bibliofile is an ncurses-inspired ebook reader for the terminal written in Rust! There is a release available, but if you wish, you can customize the code and follow the build instructions below:


 ### 1

 Install Rust. The full Instructions on how to do this are here: https://www.rust-lang.org/tools/install

 The easiest way of installing Rust is with the following command:

 ```bash
 curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
 ```


 ### 2

 Clone the repository to the directory of your choice

 ```git
 git clone https://gitea.whoisthisjoker.com/danjoredd/bibliofile
 ```

 ### 3

cd into the directory *bibliofile*. Compile the program. This is best done with cargo.

you will need at least Cargo 1.60 to compile, as of August 2024.

 ```rust
 cargo build --release
 ```

 The executable will be in target/debug.
 

 ## running

 Running the program is simple, as at this point there is not many features. Simply run

 ```bibliofile [booknamehere.epub]```

There will be buttons at the bottom of each page that allow you to turn pages. Simply press "last" or "next" to turn the page. There are not yet any keyboard commands to turn pages, but that is the next feature I mean to implement.


## license

    Bibliofile: A TUI epub reader inspired by DOS-era programs

    Copyright (C) 2023  Daniel Redd joes
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
